## goshs 1.0.3

=== debian/changelog ===
goshs (1.0.3-0kali1) kali-dev; urgency=medium

  * New upstream version 1.0.3

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 28 Apr 2025 16:48:15 +0200

goshs (1.0.2-0kali1) kali-dev; urgency=medium

  * CI: do not build on armel as the package is not available on the armel
  * New upstream version 1.0.2

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 31 Mar 2025 13:55:43 +0200

goshs (0.4.1-0kali1) kali-dev; urgency=medium

  [ Patrick Hener ]
  * Initial release

  [ Sophie Brun ]
  * Update debian/control for Kali
  * Fix debian/copyright
  * Remove legitimate lintian-overrides
  * Improve debian/rules: do not install source
  * Add superficial autopkgtest
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 06 Aug 2024 14:56:43 +0200
