## goshs 1.0.4

=== debian/changelog ===
goshs (1.0.4-0kali1) kali-dev; urgency=medium

  * New upstream version 1.0.4

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 06 May 2025 11:48:41 +0200
