=== debian/control ===
Source: goshs
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 ca-certificates,
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
Standards-Version: 4.7.0
Homepage: https://github.com/patrickhener/goshs
Vcs-Browser: https://gitlab.com/kalilinux/packages/goshs
Vcs-Git: https://gitlab.com/kalilinux/packages/goshs.git
XS-Go-Import-Path: github.com/patrickhener/goshs

Package: goshs
Architecture: amd64 arm64 armhf i386
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Built-Using: ${misc:Built-Using}
Description: SimpleHTTPServer written in Go
 This tool provides a SimpleHTTPServer written in Go, enhanced with features
 and security. This package contains a simple http server like the Python
 SimpleHTTPServer but enhanced with a lot of helpful features and security in
 mind.
