## goshs 1.0.5

=== debian/changelog ===
goshs (1.0.5-0parrot3) lory; urgency=medium

  [ Dario Camonita ]
  * chore(debian): use -mod=readonly

  [ Lorenzo "Palinuro" Faletra ]
  * Upload new version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 26 Jun 2025 15:29:57 +0200

goshs (1.0.5-0parrot2) lory-updates; urgency=medium

  * Update rules with dh_auto_clean 

 -- Dario "danterolle" Camonita <danterolle@parrotsec.org>  Wed, 07 May 2025 16:36:35 +0200

goshs (1.0.5-0parrot1) lory-updates; urgency=medium

  * New upstream version 1.0.5

 -- Dario "danterolle" Camonita <danterolle@parrotsec.org>  Wed, 07 May 2025 13:13:40 +0200

goshs (1.0.4-0parrot1) lory-updates; urgency=medium

  * Initial release.

 -- Dario Camonita <danterolle@parrotsec.org>  Tue, 06 May 2025 09:59:39 +0200
