=== debian/control ===
Source: goshs
Section: net
Priority: optional
Maintainer: Parrot Dev Team <team@parrotsec.org>
Uploaders: Dario Camonita <danterolle@parrotsec.org>
Rules-Requires-Root: no
Build-Depends:
 ca-certificates,
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
Standards-Version: 4.7.0
Homepage: https://github.com/patrickhener/goshs
Vcs-Browser: https://gitlab.com/parrotsec/packages/goshs
Vcs-Git: https://gitlab.com/parrotsec/packages/goshs.git
XS-Go-Import-Path: github.com/patrickhener/goshs

Package: goshs
Architecture: amd64 arm64
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Built-Using: ${misc:Built-Using}
Description: goshs - the simple, yet feature-rich web server
  goshs is a replacement for Python's SimpleHTTPServer. 
  It allows uploading and downloading via HTTP/S with either 
  self-signed certificate or user provided certificate 
  and you can use HTTP basic auth.
