=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang

override_dh_auto_build:
	go build -buildvcs=false -mod=readonly -ldflags "-s -w" -o goshs .

override_dh_auto_test:
	echo "Skipping tests"

override_dh_auto_clean:
	rm -f goshs
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install -- --no-source
