=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/goshs-$1\.tar\.gz/ \
  https://github.com/patrickhener/goshs/tags .*/v?(\d\S+)\.tar\.gz
