## goshs 1.0.8

=== Makefile ===
--- 
+++ 
@@ -68,6 +68,41 @@
 	@GOOS=linux GOARCH=arm64 go build -ldflags="-s -w" -o dist/arm64_8/goshs
 	@echo "[OK] App binary was created!"
 
+run-unit:
+	@go test ./ca -count=1
+	@go test ./cli -count=1
+	@go test ./clipboard -count=1
+	@go test ./config -count=1
+	@go test ./logger -count=1
+	@go test ./sftpserver -count=1
+	@go test ./update -count=1
+	@go test ./utils -count=1
+	@go test ./webhook -count=1
+	@go test ./ws -count=1
+
+run-integration: clean-integration
+	@go test -v ./integration -count=1
+
+clean-integration:
+	@mkdir -p ./integration/files
+	@rm -rf ./integration/files/*
+	@cp ./integration/keepFiles/test_data.txt ./integration/files/
+	@mkdir ./integration/files/ACL
+	@mkdir ./integration/files/ACL/testfolder
+	@mkdir ./integration/files/ACLAuth
+	@mkdir ./integration/files/ACLAuth/testfolder
+	@cp ./integration/keepFiles/goshsACL ./integration/files/ACL/.goshs
+	@cp ./integration/keepFiles/testfile.txt ./integration/files/ACL/
+	@cp ./integration/keepFiles/testfile2.txt ./integration/files/ACL/
+	@cp ./integration/keepFiles/testfile2.txt ./integration/files/ACL/testfolder/
+	@cp ./integration/keepFiles/goshsACLAuth ./integration/files/ACLAuth/.goshs
+	@cp ./integration/keepFiles/testfile.txt ./integration/files/ACLAuth/
+	@cp ./integration/keepFiles/testfile2.txt ./integration/files/ACLAuth/
+	@cp ./integration/keepFiles/testfile2.txt ./integration/files/ACLAuth/testfolder/
+	@echo "cleaned up, ready for next test"
+
+run-tests: run-unit run-integration
+
 run:
 	@go run main.go
 
@@ -78,3 +113,4 @@
 clean:
 	@rm -rf ./dist
 	@echo "[OK] Cleaned up!"
+
