=== debian/changelog ===
goshs (1.0.8-0kali1) kali-dev; urgency=medium

  [ Daniel Ruiz de Alegría ]
  * Update uploaders

  [ Sophie Brun ]
  * New upstream version 1.0.8

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 26 May 2025 15:02:02 +0200

goshs (1.0.6-0kali1) kali-dev; urgency=medium

  * New upstream version 1.0.6

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 13 May 2025 11:27:08 +0200

goshs (1.0.5-0kali1) kali-dev; urgency=medium

  * New upstream version 1.0.5

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 08 May 2025 11:42:47 +0200
