=== debian/changelog ===
goshs (1.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 1.1.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 03 Jun 2025 11:26:00 +0200
