=== debian/changelog ===
goshs (1.1.1-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control
  * Drop armel-related variable from CI (no more armel runner)

  [ Sophie Brun ]
  * Update my email
  * New upstream version 1.1.1

 -- Sophie Brun <sophie@kali.org>  Thu, 25 Sep 2025 15:18:20 +0200
