=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders:
- Sophie Brun <sophie@offensive-security.com>,
+ Sophie Brun <sophie@kali.org>,
  Daniel Ruiz de Alegría <daniruiz@kali.org>,
-Rules-Requires-Root: no
 Build-Depends:
  ca-certificates,
  debhelper-compat (= 13),
