=== debian/rules ===
#!/usr/bin/make -f

export GOCACHE=$(CURDIR)/vendor
export GOPATH=$(CURDIR)/vendor

%:
	dh $@ --buildsystem=golang

override_dh_auto_build:
	go mod download
	go build -mod=readonly -modcacherw -ldflags "-s -w" -o goshs .

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:
