=== debian/tests/control ===
Test-Command: goshs --help
Restrictions: superficial
