## goshs 1.1.2

=== debian/changelog ===
goshs (1.1.2-0parrot1) echo; urgency=medium

  * Import new upstream release.
  * Sync with Kali packaging.
  * Rebuild for Parrot 7.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 24 Nov 2025 00:08:59 +0100
