=== debian/control ===
Source: goshs
Section: net
Priority: optional
Maintainer: Parrot Dev Team <team@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends:
 ca-certificates,
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
Standards-Version: 4.7.2
Homepage: https://github.com/patrickhener/goshs
XS-Go-Import-Path: github.com/patrickhener/goshs

Package: goshs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Built-Using: ${misc:Built-Using}
Description: SimpleHTTPServer written in Go
 This tool provides a SimpleHTTPServer written in Go, enhanced with features
 and security. This package contains a simple http server like the Python
 SimpleHTTPServer but enhanced with a lot of helpful features and security in
 mind.
