## goshs 1.1.3

=== debian/changelog ===
goshs (1.1.3-0kali1) kali-dev; urgency=medium

  * New upstream version 1.1.3
  * Update debian/watch to version 5

 -- Sophie Brun <sophie@kali.org>  Wed, 17 Dec 2025 16:41:45 +0100

goshs (1.1.2-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Set Architectures to any (armel is gone)

  [ Daniel Ruiz de Alegría ]
  * New upstream version 1.1.2

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 17 Nov 2025 08:39:34 +0100
