=== debian/watch ===
Version: 5
Template: Github
Owner: patrickhener
Project: goshs
